Skip to main content
GET
/
v1
/
events
List audit events
curl --request GET \
  --url https://api.ledgerflow.io/v1/events \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "actor": {
        "id": "<string>",
        "email": "<string>"
      },
      "action": "<string>",
      "resource": {
        "id": "<string>",
        "type": "<string>",
        "name": "<string>"
      },
      "id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "metadata": {},
      "tenant_id": "<string>",
      "prev_hash": "<string>",
      "hash": "<string>",
      "sequence_number": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.fact0.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with alk_live_. Write scope required for ingest.

Query Parameters

actor_id
string
actor_type
enum<string>
Available options:
human,
agent,
system
action
string
resource_id
string
outcome
enum<string>
Available options:
success,
failure,
error
from
string<date-time>

RFC3339 UTC lower bound

to
string<date-time>

RFC3339 UTC upper bound

page
integer
default:1
page_size
integer
default:50
Required range: x <= 1000

Response

Paginated event list

events
object[]
total
integer
page
integer
page_size
integer